Match a line to a payment
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/match \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_id": "9f8e7d6c-5b4a-4392-8a1b-0c9d8e7f6a5b"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_id: '9f8e7d6c-5b4a-4392-8a1b-0c9d8e7f6a5b'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/match"
payload = { "payment_id": "9f8e7d6c-5b4a-4392-8a1b-0c9d8e7f6a5b" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"reconciliation": {
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Reconciliations
Match a line to a payment
Matches the line to an adoption payment, by hand. A payment can be matched to one line only, across every import, and a voided payment cannot be matched. An ignored line can be matched. Matching does not verify the payment. Needs write on Animals.
POST
/
api
/
animals
/
reconciliations
/
{id}
/
lines
/
{lineId}
/
match
Match a line to a payment
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/match \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_id": "9f8e7d6c-5b4a-4392-8a1b-0c9d8e7f6a5b"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_id: '9f8e7d6c-5b4a-4392-8a1b-0c9d8e7f6a5b'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/match"
payload = { "payment_id": "9f8e7d6c-5b4a-4392-8a1b-0c9d8e7f6a5b" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"reconciliation": {
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Body
application/json
The adoption payment's ID.
Response
The import.
One import of a processor's settlement file, with its counts.
Show child attributes
Show child attributes